GrailsApplicationContextLoader (Grails 3.1.10)
Date: 2016-07-28

Package: grails.boot.config

## [Groovy] Class GrailsApplicationContextLoader

- grails.boot.config.GrailsApplicationContextLoader

- Extends Spring Boot's org.springframework.boot.test.SpringApplicationContextLoader with a version for Grails

  Authors:
    Graeme Rocher
  Since:
    3.0

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `protected org.springframework.boot.SpringApplication` | `getSpringApplication()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.springframework.boot.test.SpringApplicationContextLoader` | `org.springframework.boot.test.SpringApplicationContextLoader#loadContext([Ljava.lang.String;), org.springframework.boot.test.SpringApplicationContextLoader#loadContext(org.springframework.test.context.MergedContextConfiguration), org.springframework.boot.test.SpringApplicationContextLoader#processContextConfiguration(org.springframework.test.context.ContextConfigurationAttributes), org.springframework.boot.test.SpringApplicationContextLoader#processLocations(java.lang.Class, [Ljava.lang.String;), org.springframework.boot.test.SpringApplicationContextLoader#wait(long, int), org.springframework.boot.test.SpringApplicationContextLoader#wait(long), org.springframework.boot.test.SpringApplicationContextLoader#wait(), org.springframework.boot.test.SpringApplicationContextLoader#equals(java.lang.Object), org.springframework.boot.test.SpringApplicationContextLoader#toString(), org.springframework.boot.test.SpringApplicationContextLoader#hashCode(), org.springframework.boot.test.SpringApplicationContextLoader#getClass(), org.springframework.boot.test.SpringApplicationContextLoader#notify(), org.springframework.boot.test.SpringApplicationContextLoader#notifyAll()`
    `class org.springframework.test.context.support.AbstractContextLoader` | `org.springframework.test.context.support.AbstractContextLoader#processContextConfiguration(org.springframework.test.context.ContextConfigurationAttributes), org.springframework.test.context.support.AbstractContextLoader#processLocations(java.lang.Class, [Ljava.lang.String;), org.springframework.test.context.support.AbstractContextLoader#wait(long, int), org.springframework.test.context.support.AbstractContextLoader#wait(long), org.springframework.test.context.support.AbstractContextLoader#wait(), org.springframework.test.context.support.AbstractContextLoader#equals(java.lang.Object), org.springframework.test.context.support.AbstractContextLoader#toString(), org.springframework.test.context.support.AbstractContextLoader#hashCode(), org.springframework.test.context.support.AbstractContextLoader#getClass(), org.springframework.test.context.support.AbstractContextLoader#notify(), org.springframework.test.context.support.AbstractContextLoader#notifyAll(), org.springframework.test.context.support.AbstractContextLoader#loadContext(org.springframework.test.context.MergedContextConfiguration), org.springframework.test.context.support.AbstractContextLoader#loadContext([Ljava.lang.String;)`

- - ### Method Detail

    - #### @java.lang.Override protected org.springframework.boot.SpringApplication getSpringApplication()